Skip to content
payrocdevelopers

List authorizations

Browse API reference

GET/authorizationsgetAuthorizations

Use this method to retrieve a paginated list of authorizations.

Use query parameters to filter the list of results that we return, for example, to search for authorizations linked to a specific merchant.

Important: You must provide a value for either the date query parameter or the batchId query parameter.

Our gateway returns the following information about each authorization in the list:

  • Authorization response from the issuing bank.
  • Amount that the issuing bank authorized.
  • Merchant that ran the authorization.
  • Details about the customer's card, the transaction, and the batch.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

datequerystring

Filter transactions by the date that the merchant submitted the batch that contains the transaction. The format of this value is YYYY-MM-DD.

You must provide either the batchId or the date.

batchIdqueryinteger

Filter transactions by the unique identifier of the batch that contains the transaction.

You must provide either the batchId or the date.

merchantIdquerystring

Filter results by the unique identifier that the processor assigned to the merchant.

Responses

Successful request. Returns a paginated list of authorizations.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 37 of 46 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of authorization objects.
    • authorizationIdinteger
      Unique identifier that we assigned to the authorization.
    • authorizationResponsestring
      Response from the issuing bank for the authorization.activityCountLimitExceededalreadyReversedapprovedapproveVipapproveWithIdcannotVerifyPincardAuthenticationFailedcardTypeVerificationError+83 more
    • batchobjectnull
      Object that contains information about the batch. If we can't match a dispute to a batch, we don't return 'batch' object.
      • batchIdinteger
        Unique identifier of the batch.
      • cyclestring
        Indicates the cycle that contains the batch.
      • datestringdate
        Date that the merchant submitted the batch.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
    • cardobject
      Object that contains information about the card.
      • avsRequestboolean
        Indicates whether the merchant used the Address Verification Service (AVS) to verify the cardholder's address.
      • avsResponsestring
        Response from the Address Verification Service (AVS).
      • cardNumberstring
        Masked card number. Our gateway shows only the first six digits and the last four digits of the card number, for example, 500165******0000.
      • cvvPresenceIndicatorboolean
        Indicates whether the cardholder provided the Card Verification Value (CVV).
      • typestringnull
        Card type, for example, Visa. Note: If we can’t match a dispute to a transaction, we don’t return a type object.visamasterCarddiscoverdebitebtwrightExpressvoyageramex+8 more
    • createdDatestringdate
      Date that we received the authorization. The format of this value is YYYY-MM-DD.
    • currencystring
      Currency of the authorization. The value for the currency follows the ISO 4217 standard.
    • lastModifiedDatestringdate
      Date that the authorization was last changed. The format of this value is YYYY-MM-DD.
    • merchantobject
      Object that contains information about the merchant.
      • doingBusinessAsstring
        Trading name of the business.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • merchantIdstring
        Unique identifier that the processor assigned to the merchant.
      • processingAccountIdinteger
        Unique identifier that we assigned to the processing account.
    • preauthorizationRequestAmountinteger
      Amount that the merchant requested for the authorization. We return the value in the currency's lowest denomination, for example, cents.
    • transactionobject
      Object that contains summary information about the transaction that the dispute is linked to.
      • amountintegerint64
        Total amount of the transaction. The value is in the currency's lowest denomination, for example, cents.
      • datestringdate
        Date of the transaction. The format of this value is YYYY-MM-DD.
      • entryMethodstringnull
        Describes how the merchant received the payment details. If we can't match a dispute to a transaction, we don't return an entryMethod object.barcodeReadsmartChipReadswipedOriginUnknowncontactlessChipecommercemanuallyEnteredmanuallyEnteredFallbackswiped+5 more
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • transactionIdintegernull
        Unique identifier of the transaction. If we can't match a dispute to a transaction, we don't return the transactionId or link object.
      • typestring
        Indicates the type of transaction.capturereturn

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer